Entwurf PunktAnordnung

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft PointArray and the translation is 93% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Draft PathArray.svg Pfad Anordnung Vorherige:
Nächste: Klonen Draft Clone.svg Arrow-right.svg

Draft PointArray.svg Draft Punktanordnung

Menüeintrag
Bearbeitung → Anordnungswerkzeuge → Punktanordnung
Arbeitsbereich
Entwurf, Arch
Standardtastenkürzel
Keiner
Eingeführt in Version
0.18
Siehe auch
Entwurf Orthoanordnung, Entwurf Polaranordnung, Entwurf Kreisanordnung, Entwurf Pfadanordnung, Entwurf Pfadverknüpfungsanordnung, Entwurf Punktverknüpfungsanordnung, Entwurf Klon

Beschreibung

Das Draft PointArray.svg Entwurf PunktAnordnungswerkzeug platziert Kopien einer ausgewählten Form entlang verschiedener, ausgewählter Punkte.

Das PunktAnordnung Werkzeug kann für jedes Objekt verwendet werden, das eine Part TopoForm hat, d.h. 2D Formen, die mit der Draft Arbeitsbereich erstellt wurden, aber auch 3D Festkörper, die mit anderen Arbeitsbereichen erstellt wurden, z.B. Part, PartDesign oder Arch.

Draft PointArray Example.png

Objekt an bestimmten Punkten angeordnet

Anwendung

  1. Wähle das Objekt aus, das du verteilen möchtest.
  2. Wähle einen Punktverbund aus.
  3. Drücke die Draft PointArray.svg PunktAnordnung Schaltfläche.

Jedes Element in der Anordnung ist ein genauer Klon des ursprünglichen Objekts, aber die gesamte Anordnung wird in Bezug auf Eigenschaften und Aussehen als eine einzige Einheit betrachtet.

Punktverbund

Das Punktverbundobjekt kann auf verschiedene Arten erstellt werden.

Im Wesentlichen muss das Objekt, das als Verbund verwendet werden soll, eine der drei Eigenschaften DataKomponeneten, DataVerknüpfungen oder DataGeometrie haben und innerhalb dieses Verbundes muss es mindestens einen Punkt mit DataX, DataY und DataZ-Eigenschaften geben.

Hinweis: Im Fall von Draft Point.svg Entwurf Punkt und Part Point.svg Part Punkt wird die Anordnung versuchen, die Kopien unter Verwendung der DataPositionierung des Punktes zu positionieren. In dem Fall eines Sketcher CreatePoint.svg Skizzierer Punkts, wird die Position aus seinen internen X, Y, und Z Attributen übernommen.

Hnweis 2: die DataPlacement der Draft Point.svg Draft Pointschaltfläche folgt immer den DataX, DataY, DataZ - Werten. Dies genügt, um wie gewünscht zu positionieren. Jedoch, bei der Part Point.svg Part Pointschaltfläche, ist die Netzpositionierung durch die Summe der DataPlacement durch den Vektor mit seinen Komponenten DataX, DataY und DataZ gegeben.

Optionen

Es gibt keine Optionen für dieses Werkzeug. Entweder funktioniert es mit den ausgewählten Objekten oder nicht.

Eigenschaften

Eine PunktAnordnung ist abgeleitet von einer lPart Formelement (Klasse Part::Feature) abgeleitet, daher teilt es alle Eigenschaften von letzterem. Zusätzlich zu den im Part Formelement beschriebenen Eigenschaften besitzt die PunktAnordnung im Eigenschaftseditor die folgenden Eigenschaften.

Objects

  • DataBase (Link): the object to duplicate; it must have a Part TopoShape.
  • DataCount (Integer): (read-only) specifies the number of copies in the array. This property is read-only because the number of copies is determined by the number of points inside of DataPoint Object.
  • DataExtra Placement (Placement): specifies an additional placement, translation and rotation, that will be applied to each copy in the array. Each copy normally appears with the same rotation as the DataBase object; with this property it is possible to provide additional rotation, or counter the original rotation, and make small adjustments to the position of the copies. introduced in version 0.19
  • DataPoint Object (Link): specifies a compound object with points that indicate where the copies of the DataBase object will appear. The compound object needs to have one of DataLinks, DataComponents, or DataGeometry properties, and contain at least one element with DataX, DataY, and DataZ attributes.

Skripten

Siehe auch: Draft API und FreeCAD Skripten Grundlagen.

Das Punkt Werkzeug kann in Makros und aus der Python Konsole durch folgende Funktion verwendet werden:

Alter Aufruf

point_array = makePointArray(base_object, point_object)

Neuer Aufruf

point_array = make_point_array(base_object, point_object, extra=None):
  • Creates a "PointArray" object from the base_object, by placing the copies in the points contained within point_object.
    • point_object should have one of Geometry, Links, or Components attributes containing points.
    • Instead of a reference to an object, base_object and point_object can also be Labels (strings) of objects existing in the current document.
    • extra can be a full App.Placement, or just an App.Vector or App.Rotation.

Beispiel:

import FreeCAD as App
import Draft

doc = App.newDocument()

polygon = Draft.make_polygon(3, radius=500.0)

p1 = Draft.make_point(App.Vector(1500, 0, 0))
p2 = Draft.make_point(App.Vector(2500, 0, 0))
p3 = Draft.make_point(App.Vector(2000, 1000, 0))

compound = doc.addObject("Part::Compound", "Compound")
compound.Links = [p1, p2, p3]

point_array = Draft.make_point_array(polygon, compound)
doc.recompute()
Arrow-left.svg Draft PathArray.svg Pfad Anordnung Vorherige:
Nächste: Klonen Draft Clone.svg Arrow-right.svg